@import url('../../../styles/_theme.scss');


.button-text--standar{
    border: none;
    font-size: 1rem;
    width: 90%;
    margin-left: 5%;
    margin-right: 5%;
    margin-top: 0.5rem;
    border-radius: 0.5rem;
}

.button-text--half-width-centered{
    border: none;
    width: 50%;
    font-size: 1rem;
    margin:auto;
}

//for some reazon ^ didn't work, soooooo
[class*="button-text--"]{
    background-color: var(--base-color);
    color: var(--font-main);
    padding: 0.5rem;
    &:hover{
        background-color:  var(--accents);
        transform: scale(1.02);
        transition: all 0.5s;
    }
    &.bordered{
        border: solid 2px var(--accents);
        border-radius: 0.5rem;
        padding: 0.5rem;
        &:hover{
            border-color: var(--accents-highlight);
        }
    }
}